#!/bin/sh -a
# $Header: pfconvert.sh,v 1.1 98/03/23 15:23:17 integ Exp $
########################################################################
#bcpyrght
#***************************************************************************
#* Copyright 1993 - 1998 VERITAS Software Corporation, All Rights Reserved *
#***************************************************************************
#ecpyrght
#########################################################################
#
# Purpose: In an HSM UFS 3.1+ upgrade from Solaris 2.4-2.51 to 2.6+
#  PAIN file formats need to be changed to handle >2GB files.
#
#  This script determines all hsmname areas,
#  makes a call to 'pfconvert -t -F hsmname-fsdir' utility 
#   this converts .PAIN files,
#   and renames old PAIN file to /tmp/PAIN.pre_31
#  
#########################################################################

ECHO=echo
## Make sure this is being run from root.
ISROOT=`/usr/bin/id | egrep "^uid=0\("`
if [ "${ISROOT}" = "" ] ; then
  ${ECHO} "
  This must be run while logged in as root."
  exit 1
fi

TMP=/tmp
 
. /usr/openv/hsm/bin/migscriptcons

## get list of hsmnames
${GETHSM} 1> /tmp/Gethsm.err
 if [ $? != 0 ]; then
   ${ECHO} "** gethsm error: ** Aborted"
   if [ -f /tmp/Gethsm.err ]; then
    rm /tmp/Gethsm.err 2> /dev/null
   fi
   exit 1
 fi
 if [ -f /tmp/Gethsm.err ]; then
  rm /tmp/Gethsm.err 2> /dev/null
 fi

set `${GETHSM}` 
 ${ECHO}
 ${ECHO}  "<----------- Converting PAIN files ----------->"
 ${ECHO}

## loop thru set of hsmnames.
while [ x$1 != x ]
do
  # pick up a name from set
  HSMNAME=$1
  # get path to  hsmname database directory where ihand file is at.
  FSPATH=`${MIGDBDIR} $HSMNAME ${GET_FSPATH}`
  if [ $? != 0 ]; then
     # log message MIGDBDIR failed
     ${ECHO} "$HSMNAME failed in MIGDBDIR"
     shift 1
     # try next hsmname in the list
     continue
  fi
## actual convertion of .PAIN file
  ${HSMBINPATH}/pfconvert -t -F $FSPATH 
  if [ $? != 0 ]; then
     ${ECHO} "$1 pfconvert failed "
     ${ECHO} $NewName	# Error:
     ${ECHO}  " try to correct, then rerun [${HSMBINPATH}/pfconvert -t -F $FSPATH] by hand"
     ${ECHO}  "     <---------------------------->"
  else
     ${ECHO} "$1 pfconvert PAIN converted successfully... "
  fi
  shift 1
done
## done converting all ihands.
${ECHO} ".... Done converting all PAIN files."
${ECHO}
exit 0

